package com.microservices.pms.pipeline.domain.vo;

import com.microservices.common.core.utils.bean.BeanUtils;
import com.microservices.pms.pipeline.domain.PmsCiPipelines;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

@Data
@ApiModel("流水线更新对象")
public class PmsCiPipelinesUpdateVo
{
    @ApiModelProperty(value = "流水线ID")
    private Long id;

    /** 流水线名称 */
    @ApiModelProperty(value = "流水线名称")
    private String pipelineName;

    public PmsCiPipelines toPmsCiPipelines() {
        PmsCiPipelines pmsCiPipelines = new PmsCiPipelines();
        BeanUtils.copyProperties(this, pmsCiPipelines);
        return pmsCiPipelines;
    }
}
